package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 新员工培训对象 t_newemployee
 *
 * @author ruoyi
 * @date 2020-12-08
 */
public class TNewemployee extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 新员工姓名 */
    @Excel(name = "新员工姓名")
    private String name;

    /** 新员工岗位 */
    @Excel(name = "新员工岗位/部门")
    private String newPostDepartment;

    /** 推荐导师 */
    @Excel(name = "推荐导师")
    private String master;

    /** 推荐导师岗位 */
    @Excel(name = "推荐导师岗位/部门")
    private String masterPostDepartment;

    /** 师徒协议 */
    @Excel(name = "师徒协议")
    private String agreement;

    /** 开始学习期限 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始学习期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date starttime;

    /** 结束学习期限 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束学习期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 导师带徒目标及计划 */
    @Excel(name = "导师带徒目标及计划")
    private String targetplan;

    /** 导师带徒考评表 */
    @Excel(name = "导师带徒考评表")
    private String evaluation;

    /** 部门编号 */
    private Long deptId;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setNewPostDepartment(String newPostDepartment) { this.newPostDepartment = newPostDepartment; }

    public String getNewPostDepartment()
    {
        return newPostDepartment;
    }
    public void setMaster(String master)
    {
        this.master = master;
    }

    public String getMaster()
    {
        return master;
    }
    public void setMasterPostDepartment(String masterPostDepartment) { this.masterPostDepartment = masterPostDepartment; }

    public String getMasterPostDepartment()
    {
        return masterPostDepartment;
    }
    public void setAgreement(String agreement)
    {
        this.agreement = agreement;
    }

    public String getAgreement()
    {
        return agreement;
    }
    public void setStarttime(Date starttime)
    {
        this.starttime = starttime;
    }

    public Date getStarttime()
    {
        return starttime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setTargetplan(String targetplan)
    {
        this.targetplan = targetplan;
    }

    public String getTargetplan()
    {
        return targetplan;
    }
    public void setEvaluation(String evaluation)
    {
        this.evaluation = evaluation;
    }

    public String getEvaluation()
    {
        return evaluation;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("name", getName())
            .append("newPostDepartment", getNewPostDepartment())
            .append("master", getMaster())
            .append("masterPostDepartment", getMasterPostDepartment())
            .append("agreement", getAgreement())
            .append("starttime", getStarttime())
            .append("endtime", getEndtime())
            .append("targetplan", getTargetplan())
            .append("evaluation", getEvaluation())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptName", getDeptName())
            .toString();
    }
}
